0
$\begingroup$

recently I updated my system with "sudo apt update" and "sudo apt upgrade" and rtabmap passed to 0.21.3 version but now I am having trouble launching rtabmap ( "rosrun rtabmap_slam rtabmap " ). I have Ubuntu 20.04 and the error everytime I try to launch this node I get "Rtabmap: Parameter "GridGlobal/FullUpdate" doesn't exist anymore!"

First time I saw this error it was through a launch file, later I try to run rtabmap with rosrun and I noticed that it is an error with the package and not with the launch file.

Following a snippet of the launch file:

<node  if="$(arg mapping)" name="rtabmap" pkg="rtabmap_slam" type="rtabmap" output="screen" args="--delete_db_on_start image_transport:=compressed">
    <!-- if subscribe stereo -->
    <remap from="left/image_rect"       to="/zed2/left/image_rect_color"/>
    <remap from="right/image_rect"      to="/zed2/right/image_rect_color"/>
    <remap from="left/camera_info"      to="/zed2/left/camera_info"/>
    
    <remap from="right/camera_info"     to="/zed2/right/camera_info"/>

    <remap from="odom" to="/odom"/>  

    <!-- if subscribe depth -->
    <remap from="rgb/image"         to="/zed2/left/image_rect_color"/>
    <remap from="depth/image"       to="/zed2/depth/depth_registered"/>
    <remap from="rgb/camera_info"   to="/zed2/left/camera_info"/>

    <param name="queue_size" type="int" value="50"/>

    <rosparam command="load" file="$(find my_package)/config/rtabmap_params.yaml" />

  </node>
$\endgroup$
1
  • $\begingroup$ Please format your code correctly $\endgroup$ Feb 6 at 1:11

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.